{% if block('title') is defined %}
	{% set title = block('title') %}
{% else %}
	{% set title = "Harkay - Association qui lutte contre le traffic d'êtres humains" %}
{% endif %}

{% if block('description') is defined %}
	{% set description = block('description') %}
{% else %}
	{% set description = "Nous luttons pour protéger les population autochtones du traffic d'êtres humains" %}
{% endif %}

{% if block('image') is defined %}
	{% set image = block('image') %}
{% else %}
	{% set image = "images/photo9.jpg" %}
{% endif %}

{% set route_name = app.request.attributes.get('_route') %}

{% if route_name == 'home' %}
	{% set type = 'website' %}
{% else %}
	{% set type = 'article' %}
{% endif %}

{% set has_facebook = false %}
{% if block('facebook') is defined and block('facebook') is not empty %}
    {% set has_facebook = true %}
{% endif %}

{% set has_instagram = false %}
{% if block('instagram') is defined and block('instagram') is not empty %}
    {% set has_instagram = true %}
{% endif %}

{% set has_youtube = false %}
{% if block('youtube') is defined and block('youtube') is not empty %}
    {% set has_youtube = true %}
{% endif %}

{% set has_twitter = false %}
{% if block('twitter') is defined and block('twitter') is not empty %}
    {% set has_twitter = true %}
{% endif %}

{% if block('legal_name') is defined and block('legal_name') is not empty %}
	{% set legal_name = block('legal_name') %}
{% else %}
	{% set legal_name = "Harkay" %}
{% endif %}

{% set base_url = app.request.getSchemeAndHttpHost() %}

{% if block('email') is defined %}
	{% set email = block('email') %}
{% endif %}

{% if block('phone') is defined %}
	{% set phone = block('phone') %}
{% endif %}

{% if block('siret') is defined %}
	{% set siret = block('siret') %}
{% endif %}

{% if block('city') is defined %}
	{% set city = block('city') %}
{% endif %}

{% if block('zip') is defined %}
	{% set zip = block('zip') %}
{% endif %}

{% if block('address_country') is defined %}
	{% set address_country = block('address_country') %}
{% endif %}

{% if block('street') is defined %}
	{% set street = block('street') %}
{% endif %}

{% if block('donation') is defined %}
	{% set donation = block('donation') %}
{% else %}
	{% set donation = '#' %}
{% endif %}

{% set active_url = app.request.uri %}
{% set lang = app.request.getLocale() %}

{% if app.request.pathInfo == '/' %}
	{% set url_fr = '/fr' %}
	{% set url_en = '/en' %}
	{% set url_es = '/es' %}
{% else %}
	{% set url_fr = app.request.pathInfo|replace({(app.request.locale) : 'fr'}) %}
	{% set url_en = app.request.pathInfo|replace({(app.request.locale) : 'en'}) %}
	{% set url_es = app.request.pathInfo|replace({(app.request.locale) : 'es'}) %}
{% endif %}

<!DOCTYPE html>
<html lang="{{ lang }}">
	<head>
		<meta charset="UTF-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0">

		<title>{{ title }}</title>
		<meta name="description" content="{{ description }}"/>
		<meta name="keywords" content="harkay, hark'ay, association harkay, harkai"/>
		<meta name="copyright" content="Harkay">
		<meta name="language" content="{{ lang }}">
		<meta name="robots" content="index,follow"/>
		<link rel="canonical" href="{{ active_url }}"/>
		<link rel="sitemap" type="application/xml" href="/sitemap.xml">

		<meta name="og:title" content="{{ title }}"/>
		<meta name="og:type" content="{{ type }}"/>
		<meta name="og:url" content="{{ active_url }}"/>
		<meta name="og:image" content="{{ base_url }}/{{ image }}"/>
		<meta name="og:site_name" content="Harkay"/>
		<meta name="og:description" content="{{ description }}"/>

		{% if email is defined %}
			<meta name="og:email" content="{{ email }}"/>
			<meta name="reply-to" content="{{ email }}">
		{% endif %}
		{% if phone is defined %}
			<meta name="og:phone_number" content="{{ phone }}"/>
		{% endif %}
		{% if street is defined %}
			<meta name="og:street-address" content="{{ street }}"/>
		{% endif %}
		{% if city is defined %}
			<meta name="og:locality" content="{{ city }}"/>
		{% endif %}
		{% if zip is defined %}
			<meta name="og:postal-code" content="{{ zip }}"/>
		{% endif %}
		{% if address_country is defined %}
			<meta name="og:country-name" content="{{ address_country }}"/>
		{% endif %}
		<meta name="og:local" content="{{ lang }}"/>

		<link rel="apple-touch-icon" sizes="57x57" href="/images/favicon/apple-icon-57x57.png">
		<link rel="apple-touch-icon" sizes="60x60" href="/images/favicon/apple-icon-60x60.png">
		<link rel="apple-touch-icon" sizes="72x72" href="/images/favicon/apple-icon-72x72.png">
		<link rel="apple-touch-icon" sizes="76x76" href="/images/favicon/apple-icon-76x76.png">
		<link rel="apple-touch-icon" sizes="114x114" href="/images/favicon/apple-icon-114x114.png">
		<link rel="apple-touch-icon" sizes="120x120" href="/images/favicon/apple-icon-120x120.png">
		<link rel="apple-touch-icon" sizes="144x144" href="/images/favicon/apple-icon-144x144.png">
		<link rel="apple-touch-icon" sizes="152x152" href="/images/favicon/apple-icon-152x152.png">
		<link rel="apple-touch-icon" sizes="180x180" href="/images/favicon/apple-icon-180x180.png">
		<link rel="icon" type="image/png" sizes="192x192" href="/images/favicon/android-icon-192x192.png">
		<link rel="icon" type="image/png" sizes="32x32" href="/images/favicon/favicon-32x32.png">
		<link rel="icon" type="image/png" sizes="96x96" href="/images/favicon/favicon-96x96.png">
		<link rel="icon" type="image/png" sizes="16x16" href="/images/favicon/favicon-16x16.png">
		<link rel="manifest" href="/manifest.json">
		<meta name="msapplication-TileColor" content="#ffffff">
		<meta name="msapplication-TileImage" content="/images/favicon/ms-icon-144x144.png">
		<meta name="theme-color" content="#ffffff">

		{% block stylesheets %}
			{{ encore_entry_link_tags('app') }}
		{% endblock %}

		{% block javascripts %}
			{{ encore_entry_script_tags('app') }}
		{% endblock %}

		{% if block('jsonLd') is defined %}
			{{ block('jsonLd') }}
		{% endif %}

		<script type="application/ld+json">
		{
			"@context": "http://schema.org",
			"@type": "WebSite",
			"name": "{{ title }}",
			"description": "{{ description }}",
			"url": "{{ base_url }}",
			"author": {
				"@type": "Organization",
				"name": "{{ legal_name }}",
				"url": "{{ base_url }}",
				"logo": "{{ base_url }}/images/logo_harkay.png",
				"address": {
					"@type": "PostalAddress",
					{% if city is defined and address_country is defined %}"addressLocality": "{{ city }} {{ address_country }}",{% endif %}
					{% if zip is defined %}"postalCode": "{{ zip }}",{% endif %}
					{% if street is defined %}"streetAddress": "{{ street }}"{% endif %}
				  },
				{% if email is defined %}"email": "{{ email }}",{% endif %}
				{% if phone is defined %}"telephone": "{{ phone }}",{% endif %}
				"funder": {
					"@type": "Person",
					"name": "Sarah Benhammou",
					"url": "https://www.linkedin.com/in/sarah-benhammou-39746b64/?originalSubdomain=fr"
				}
			},
			"sameAs": [
			{% if has_facebook %}"{{ block('facebook') }}",{% endif %}
			{% if has_instagram %}"{{ block('instagram') }}",{% endif %}
			{% if has_youtube %}"{{ block('youtube') }}",{% endif %}
			{% if has_twitter %}"{{ block('twitter') }}"{% endif %}
			]
		}
		</script>


	</head>
	<body {% if block('body_class') is defined %}class="{{ block('body_class') }}"{% endif %}>
		<header class="header">
			<a href="{{ url('home') }}"><img src="/images/logo.svg" alt="Association Harkay"></a>
			<nav class="menu-desktop">
				<ul>
					<li>
						<a href="{{url('missions')}}">{{ 'menu.missions'|trans }}</a>
					</li>
					<li>
						<a href="{{url('posts')}}">{{ 'menu.posts'|trans }}</a>
					</li>
					<li>
						<a href="{{url('countries')}}">{{ 'menu.countries'|trans }}</a>
					</li>
					<li>
						<a class="btn icon-heart blue" href="{{ donation }}">
							<span>{{ 'menu.donation_label'|trans }}</span>
						</a>
					</li>
					<li class="lang-switcher desktop">
						<a {% if app.request.locale == 'fr' %}class="active"{% endif %} href="{{ url_fr }}"><img src="/images/icons/france.svg" alt="Mettre le site en français"></a>
						<a {% if app.request.locale == 'es' %}class="active"{% endif %} href="{{ url_es }}"><img src="/images/icons/spain.svg" alt="Mettre le site en espagnol"></a>
						<a {% if app.request.locale == 'en' %}class="active"{% endif %} href="{{ url_en }}"><img src="/images/icons/english.svg" alt="Mettre le site en anglais"></a>
					</li>
				</ul>
			</nav>
			<a class="btn icon-heart blue icon-gift" href="#">
				<span>Donner</span>
			</a>
			<button class="icon-menu"><img src="/images/icons/menu.svg" alt="Menu mobile de Harkay"></button>
		</header>

		<section class="mobile-menu">
			<div>
				<a class="logo" href="/"><img src="/images/logo.svg" alt="Association Harkay"></a>
				<button aria-label="Fermer le menu mobile" class="icon-close"></button>
			</div>
			<nav>
				<ul>
					<li>
						<a href="{{ url('home') }}">Accueil</a>
					</li>
					<li>
						<a href="{{ url('missions') }}">{{ 'menu.missions'|trans }}</a>
					</li>
					<li>
						<a href="{{ url('posts') }}">{{ 'menu.posts'|trans }}</a>
					</li>
					<li>
						<a href="{{ url('countries') }}">{{ 'menu.countries'|trans }}</a>
					</li>
					<li>
						<a href="{{ donation }}" class="icon-heart">{{ 'menu.donation_label'|trans }}</a>
					</li>
					<li class="lang-switcher">
						<a href="{{ url_fr }}"><img class="lang_link" src="/images/icons/france.svg" alt="Mettre le site en français"></a>
						<a href="{{ url_es }}"><img class="lang_link" src="/images/icons/spain.svg" alt="Mettre le site en espagnol"></a>
						<a href="{{ url_en }}"><img class="lang_link" src="/images/icons/english.svg" alt="Mettre le site en anglais"></a>
					</li>
				</ul>
			</nav>
		</section>

		{% block body %}{% endblock %}

		<footer class="footer">
			<div class="wrapper">
				<div class="flex">
					<div class="logo">
						<img src="/images/logo.svg" alt="Association Harkay">
						<p>{{ 'footer.description'|trans }}</p>
					</div>
					<div class="infos">
						<p>{{ 'footer.association'|trans }}</p>
						{% if street is defined %}<p>{{ street }}</p>{% endif %}
						{% if zip is defined and city is defined %}<p>{{ zip }} {{ city }}</p>{% endif %}
						{% if phone is defined %}<p>{{ 'footer.phone'|trans }}: <a href="tel:{{ phone }}">{{ phone }}</a></p>{% endif %}
						{% if email is defined %}<p>{{ 'footer.write_us'|trans }}: <a href="#">{{ email }}</a></p>{% endif %}
						{% if siret is defined %}<p>{{ 'footer.siret'|trans }}: {{ siret }}</p>{% endif %}
					</div>
					<ul class="nav">
						<li>
							<a href="{{ url('home') }}">{{ 'footer.link_home'|trans }}</a>
						</li>
						<li>
							<a href="{{ url('missions') }}">{{ 'menu.missions'|trans }}</a>
						</li>
						<li>
							<a href="{{ url('posts') }}">{{ 'menu.posts'|trans }}</a>
						</li>
						<li>
							<a href="{{ url('countries') }}">{{ 'menu.countries'|trans }}</a>
						</li>
					</ul>
					{% if has_facebook or has_instagram or has_twitter or has_youtube %}
						<ul class="networks">
							{% if has_facebook %}
								<li>
									<a href="{{ block('facebook') }}">
										<img src="/images/icons/facebook.svg" alt="Facebook de Harkay">
									</a>
								</li>
							{% endif %}
							{% if has_twitter %}
								<li>
									<a href="{{ block('twitter') }}">
										<img src="/images/icons/twitter.svg" alt="Twitter de Harkay">
									</a>
								</li>
							{% endif %}
							{% if has_instagram %}
								<li>
									<a href="{{ block('instagram') }}">
										<img src="/images/icons/instagram.svg" alt="Instagram de Harkay">
									</a>
								</li>
							{% endif %}
							{% if has_youtube %}
								<li>
									<a href="{{ block('youtube') }}">
										<img src="/images/icons/youtube.svg" alt="Chaine Youtube de Harkay">
									</a>
								</li>
							{% endif %}
						</ul>
					{% endif %}
				</div>
			</div>
		</footer>

	</body>

</html>
